INCLUDES = -I$(srcdir)/../src/tde -I$(srcdir)/../src/interfaces -I$(srcdir)/../src/gtk -I$(prefix)/include -I$(top_srcdir) $(MOZILLA_INCLUDES) $(all_includes)

AM_CFLAGS = $(GTK2_CFLAGS) $(GLIB2_CFLAGS)

lib_LTLIBRARIES = libkmozillapart.la

libkmozillapart_la_SOURCES = kmozillapart.cpp
libkmozillapart_la_LDFLAGS = -module $(all_libraries)
libkmozillapart_la_LIBADD = ../src/tde/libtdexparts.la

servicedir = $(kde_servicesdir)
service_DATA = kmozilla.desktop

bin_PROGRAMS = kmozilla #kshell

kmozilla_SOURCES = kmozilla.c kmozilla_ext.c main.c
kmozilla_LDADD = ../src/gtk/libgtkxparts.la $(GTK2_LIBS) $(GLIB2_LIBS)
kmozilla_LDFLAGS = $(MOZILLA_LDFLAGS) $(GLIB2_LDFLAGS) $(GTK2_LIBS) -L/usr/lib/mozilla -Wl,--rpath=/usr/lib/mozilla -lxul -lxpcom -lmozjs $(all_libraries)

#kshell_SOURCES = kshell.cpp
#kshell_LDADD = $(top_builddir)/xtdeparts/tde/libtdexparts.la
#kshell_LDFLAGS = $(all_libraries)

METASOURCES = AUTO

